Bug 674697 - Enable an optional tmpdir for e2image in fs.resize2fs()
Summary: Enable an optional tmpdir for e2image in fs.resize2fs()
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: livecd-tools
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Brian Lane
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-02-02 23:14 UTC by Frederick Grose
Modified: 2011-03-12 04:39 UTC (History)
6 users (show)

Fixed In Version: livecd-tools-15.5-1.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-03-12 04:39:48 UTC


Attachments (Terms of Use)
Enable an optional tmpdir for fs.resize2fs() (5.69 KB, patch)
2011-02-02 23:14 UTC, Frederick Grose
no flags Details | Diff

Description Frederick Grose 2011-02-02 23:14:59 UTC
Created attachment 476676 [details]
Enable an optional tmpdir for fs.resize2fs()

During image resizing or minimizing, the output from e2image in fs.resize2fs() is hardcoded to go to /tmp.

This can strain the resources of a LiveOSystem, where /tmp is on a tmpfs.

A clone option is being added to edit-livecd.py (see https://bugzilla.redhat.com/show_bug.cgi?id=448030#c27), where this feature will be significant for resource-limited Sugar on a Stick installations.

The tmpdir.patch, attached, has only been tested in the cloning code path of edit-liveos.py to remove the bind mount of /tmp onto an attached disc.

Comment 1 Brian Lane 2011-02-04 20:20:57 UTC
I fixed it up a bit to work with livecd-creator. Thanks for the patch.

Comment 2 Fedora Update System 2011-02-16 00:28:51 UTC
livecd-tools-15.4-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/livecd-tools-15.4-1.fc15

Comment 3 Fedora Update System 2011-02-16 01:30:29 UTC
livecd-tools-15.4-1.fc15 has been pushed to the Fedora 15 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update livecd-tools'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/livecd-tools-15.4-1.fc15

Comment 4 Fedora Update System 2011-02-19 00:52:57 UTC
livecd-tools-15.5-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/livecd-tools-15.5-1.fc15

Comment 5 Fedora Update System 2011-03-03 02:31:17 UTC
Package raidem-0.3.1-14.fc15:
* should fix your issue,
* was pushed to the Fedora 15 updates-testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing raidem-0.3.1-14.fc15'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/raidem-0.3.1-14.fc15
then log in and leave karma (feedback).

Comment 6 Bruno Wolff III 2011-03-03 02:33:29 UTC
Sorry about that; I was off by a line when I copy and pasted a bug number.

Comment 7 Fedora Update System 2011-03-12 04:39:13 UTC
livecd-tools-15.5-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.